Bug 1268198 - Apply upstream fix to prevent CSD zombie processes
Apply upstream fix to prevent CSD zombie processes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openconnect (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
http://git.infradead.org/users/dwmw2/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 01:56 EDT by Stefan Becker
Modified: 2016-10-22 16:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: openconnect-7.07-2.fc24 openconnect-7.07-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-16 20:52:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2015-10-02 01:56:53 EDT
Description of problem:

openconnect 7.06 doesn't reap the fork()'ed CSD wrapper script process. That creates as zombie process that either

* exists while the openconnect command line program is running, or
* adds a zombie process "owned" by kded5 if KDE Plasma is used.

Upstream has merged a fix for this problem (see URL).

Version-Release number of selected component (if applicable):
openconnect-7.06-1.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Connect to AnyConnect VPN that requires CSD trojan using KDE Plasma widget
2. Disconnect from VPN
3. ps -efw | fgrep -e csd -e kded5

Actual results:
stefanb  31836     1  0 22:34 ?        00:00:00 /usr/bin/kded5
stefanb  31837 31836  0 22:34 ?        00:00:00 [csd-wrapper.sh] <defunct>

Expected results:
stefanb  31836     1  0 22:34 ?        00:00:00 /usr/bin/kded5
Comment 1 David Woodhouse 2016-07-11 12:37:01 EDT
Fixed in 7.07, which I have *finally* now released. In rawhide already; will push to F23/F24 in a while assuming nobody screams... apologies for the delay.
Comment 2 Fedora Update System 2016-07-13 13:32:11 EDT
openconnect-7.07-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-147c2e9422
Comment 3 Fedora Update System 2016-07-13 13:32:46 EDT
openconnect-7.07-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf869a9e76
Comment 4 Fedora Update System 2016-07-14 11:53:07 EDT
openconnect-7.07-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-147c2e9422
Comment 5 Fedora Update System 2016-07-14 18:28:20 EDT
openconnect-7.07-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf869a9e76
Comment 6 Fedora Update System 2016-07-16 20:52:04 EDT
openconnect-7.07-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-10-22 16:49:07 EDT
openconnect-7.07-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.